Execute Privy swap after fresh browser approval
Body·
required
application/json
Exact terms plus approval signature
- Type: stringamount
_type required - Properties: 3Type: objectapprovalrequired
- Type: stringbase
_amount required - Type: stringdestinationrequired
- Type: stringsourcerequired
- Type: stringwallet
_id required - additionalPropertyType: anythingproperty
Name
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/api/privy/swap/execute
curl https://api.musebook.trade/api/privy/swap/execute \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"wallet_id": "",
"source": "",
"destination": "",
"base_amount": "",
"amount_type": "",
"approval": {
"message": "",
"signature": "",
"wallet_address": ""
},
"additionalProperty": "anything"
}'
{
"ok": true,
"additionalProperty": "anything"
}